Subject: [xml2rfc-dev] When did v2v3 stop spewing redundant attributes?

From: Carsten Bormann <[email-masked]>
Date: Sun, 27 Feb 2022 01:07:10 +0100

We have a little mystery over in https://github.com/cabo/kramdown-rfc/issues/162

The xml2rfc v2v3 code used to output redundant attributes of the form

<section anchor="sdfevent" numbered="true" toc="default”>

where numbered and toc have their default values (and weren’t set on the input side either).

This seems to have stopped with xml2rfc 3.12.1.

I have a few instances generated from 3.11.1 v2v3 that look like the above, and I have a few from the same version that look like

<section anchor="clarifications" toc="default”>

(i.e., one redundant attribute gone, one still there).

Previous versions (3.10.0 or earlier) consistently output the redundant attributes.

Now the mystery:
When downgrading to, say, 3.9.1, the problem does not recur (!).

Where was this fixed?  In xml2rfc or maybe some of its dependencies?

I’m not asking for the bug to be put back in, but it would help if we could understand what the shape of the set of instances is that have this problem.

(Note that this is a discussion about documents in processable form (“unprepped”, editable); not an attempt to bring up the discussion whether default values are needed in prepped (final published form) XML documents.)

Grüße, Carsten